Doomsday Engine - Bug #729

Models cut off in 16:10 view ratio
2009-07-13 22:08 - rishooty

Status: New Start date: 2009-07-13
Priority: Low % Done: 0%
Assignee:

Category: Defect

Target version: Rendering

Description

Hello. | just recently started using my widescreen tv as a monitor since my last one broke. Everything works fine at its native
resolution of 1440x900 or any lower 16:10 res with the exception of doomsday when | have models turned on. For the most part it
looks fine, but | notice that the lower parts of weapons are cut off even when the HUD is removed. Yet 2-d graphics run fine and | can
see the weapons entirely. Going to a standard 4:3 ratio works, but | would be sacrificing the quality of everything else. This applies to
beta 6.4 and 1.8.6, also doesn't matter what models | am using. [abbs, jdrp, dreadus' resources, ect.]

Labels: Graphics

History

#1 - 2009-07-13 22:04 - rishooty

Screenshots comparing 16:10 ratio to 4:3

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/d1a0154b/fcdb/attachment/screenshots.zip

#2 - 2009-07-15 11:14 - skyjake

Now that | see the screenshot, | think this is actually the intended behavior. Comparing the two screenshots, one can see that the weapon is
approximately in the same position in relation to the camera (as it should always be, regardless of viewport shape). The fact that the widescreen
viewport is less tall than the 4:3 viewport reduces the vertical field of view.

The only thing | can think of fixing here is the effect of rend-camera-fov on the vertical position of the HUD weapon model. It should be adjusted so
that all viewport dimensions have the same vertical HUD position as long as the vertical FOV stays the same.

#3 - 2013-10-22 18:57 - skyjake

- Tags set to 3DModel, Weapons

- Subject changed from 16:10 ratio = models cut off to Models cut off in 16:10 view ratio
- Category set to Defect

- Priority changed from Normal to Low

- Target version deleted (1.9.0-beta6)

#4 - 2017-04-03 14:56 - skyjake

- Target version set to Rendering
